budgie-desktop (10.10.2-1ubuntu5) stonking; urgency=medium

  * Bug fix
    Display polkit dialogs without causing system freezes (LP: #2157920)
    0001-Use-static-module-variable-for-wayland-client-to-sto.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 22 Jun 2026 21:16:09 +0100

budgie-desktop (10.10.2-1ubuntu4) resolute; urgency=medium

  * Bug fix
    Ensure budgie copes with the new resolute accountservice freedesktop
    dbus name as well as the legacy lightdm variant.  This ensure greeters
    such as slickSDDM used on UB displays the correct user background
    wallpaper
    0001-Allow-our-accounts-service-interaction-cope-with-the.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 12 Apr 2026 14:05:22 +0100

budgie-desktop (10.10.2-1ubuntu3) resolute; urgency=medium

  * Bug fix
    Add recommends on imagemagick-7.q16 to allow crystal-dock to
    modify wallpapers according to the desktop style setting

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 06 Apr 2026 17:15:36 +0100

budgie-desktop (10.10.2-1ubuntu2) resolute; urgency=medium

  * Bug fix
    Prevent panel 'wobble' when tasklist applet is used; applet now
    correctly resizing its icons for smaller panel sizes
    0001-Compute-icon-size-dynamically-to-cope-with-different.patch
    0002-Add-check-for-size-allocation-to-prevent-warning-mes.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 06 Apr 2026 10:54:42 +0100

budgie-desktop (10.10.2-1ubuntu1) resolute; urgency=medium

  * Bug fixes
    - Ensure screenshots are taken correctly when scaling factors are used
      0001-No-need-for-scaling-factors-for-screenshots.patch
    - Make sure usage-monitor widget do not crash the desktop on non-intel
      based architectures
      0001-Switch-to-gtop-for-kernel-stats-rather-than-hard-cod.patch
    - Stop crystal-dock freezing when toggling desktop icons
      test ppa 0001-Restart-crystal-dock-on-desktop-icons-toggle-to-prev.patch
  * Packaging Changes
    - d/control add B/D on libgtop2-dev for kernel stats patch above

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 12 Mar 2026 19:05:54 +0000

budgie-desktop (10.10.2-1) experimental; urgency=medium

  * New upstream release
  * Packaging changes
    Drop patch 0001-Remember-display-changes-from-wdisplays.patch
    since it has been superseded by budgie-desktop-services
  * d/control add dependency on budgie-desktop-services, mesa-utils

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 07 Mar 2026 18:40:35 +0000

budgie-desktop (10.10.1-2) experimental; urgency=medium

  * Add xdg_config_dirs.patch for apps such as crystal-dock that
    don't supply a fallback

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 04 Feb 2026 21:53:50 +0000

budgie-desktop (10.10.1-1) experimental; urgency=medium

  * New upstream release
  * Packaging Changes
    remove lintian-overrides since lintian not longer requires the
    overrides therein

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 01 Feb 2026 13:46:23 +0000

budgie-desktop (10.10.0-1) experimental; urgency=medium

  * New upstream release
    - upstream has marked this as stable

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 12 Jan 2026 20:29:58 +0000

budgie-desktop (10.10~preview.2-2) experimental; urgency=medium

  * Patch to remember display positions, resolution and scaling
    0001-Remember-display-changes-from-wdisplays.patch
    This is temporary until its replacement budgie-desktop-services
    and budgie-display-configurator is accepted into Debian

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 22 Dec 2025 15:28:23 +0000

budgie-desktop (10.10~preview.2-1) experimental; urgency=medium

  * New upstream release
    BudgieMenuWindow: Adapt to new BCC desktop file name
    panel/plugin-manager: Don't free object owned by hashtable
    Fix critical crashes and robustness issues across Budgie Desktop
    Calculate the position on the screen to show the run dialog
    build: Update libxfce4windowing to a minimum of 4.20.4
    Add environment variables to help running budgie in virtualbox and
    also help electron based apps think they are still running in GNOME
    Reset values of caffeine mode only if needed
    fix(panel): crash on direct position flip (horizontal or vertical)
  * d/watch fix watch to download preview assets
  * d/control correct Vcs to point to ubuntu repo
  * Add lfwvapi.patch to fix missing v4.20.4 libxfce4windowing package vapi

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 20 Dec 2025 23:39:56 +0000

budgie-desktop (10.10~preview.1-1) experimental; urgency=medium

  * New upstream release
    - upstream has marked this as preview to indicate that it is
      experimental
    - this preview release transitions budgie to be a wayland only
      desktop.  (Closes: #990678)
      The packaging changes described below reflect
      this transition. (Closes: #980384)
  * d/control switch Vcs to budgie-desktop-debian for gbp buildpackage
    compatibility
  * tweak lib dependencies to ensure version of binary is respected
  * Add conflict for budgie-appmenu-applet, budgie-sntray-applet since
    these are incompatible with budgie-desktop 10.10
  * add the two budgie gir packages as dependencies for budgie-core,
    remove as recommends from budgie-desktop
  * Add Conflicts: appmenu-gtk3-module to force its uninstallation
  * Remove obsolete /etc/xdg/autostart/ files via budgie-core.conffiles
  * Use multiarch location for installs
  * Add python3-psutil to allow labwc python3 to run
  * Add mutter-common as a dependency
  * Add slurp as a dependency, gtklock and gtklock-user-module as suggests
  * move magpie to recommends, add grim as a dependency for screen capture
  * Remove B/D libmagpie-0-dev
  * Switch to using libpeas2 and pygobject 3.54 (helps address issue #1120138)
    add replaces/breaks on gir1.2-budgie-3.0
    use old/new d/control to uplift gir1.2-budgie-3.0
    add replaces/breaks on gir1.2-budgieraven-1.0
    use old/new d/control to uplift gir1.2-budgieraven-3.0
  * remove build rule with gnome-screensaver
  * Remove gnome-screensaver dependency (Closes: #1092932)
    to ensure gnome-shell et all are not being pulled
  * add notification-daemon to stop gnome-shell etc all being pulled in
  * Add labwc as an alternate wayland session
  * Note; restores superficial autopkgtest (Closes: #1004364)
  * Revise symbols for this release
  * wrap-and-sort -bst

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 08 Nov 2025 09:43:01 +0000

budgie-desktop (10.9.3-1) unstable; urgency=medium

  * New upstream release
    - micro release which resolves GNOME 49 incompatibilities with Budgie
    (Closes: #1119786)
    In GNOME 49.x, gnome-settings-daemon received various changes including
    the deprecation of their .desktop files as well as deprecation of
    functionality such as MediaKeys (brightness) (moved into Shell). We now
    have an in-tree fork of GSD, specifically targeted at:
    MediaKeys (bsd-media-keys)
    Power (bsd-power)
    Wacom (bsd-wacom)
    All other components will continue to be pulled in from GSD, with our
    executables being co-installable with GSD. Alongside this, we ship with
    a range of autostart desktop files to ensure the appropriate execs are
    launched with Budgie Desktop.
  * Drop the following patches since these are incorporated in this release
    gnome-49-wacom.patch
    0001-Adapt-to-xf4w-v4.19.8-630.patch
    0001-Add-override-for-overlay-key-to-prevent-crash-with-m.patch
    0001-Resolve-vala-0.56.18-compact-class-inheritance-remov.patch
  * d/control - add B/D required for the above patch:
    libwacom-dev, libgudev-1.0-dev, systemd-dev
  * d/control - Bump StandardsVersion - no further changes required
  * d/copyright - update for the microrelease
  * d/control - add gnome-settings-daemon version restriction to support
    migration to GNOME 49

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 31 Oct 2025 18:33:51 +0000

budgie-desktop (10.9.2-9) unstable; urgency=medium

  * Resolve crash on logon due to GNOME-49 wacom removal
    gnome-49-wacom.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 22 Aug 2025 19:39:18 +0100

budgie-desktop (10.9.2-8) unstable; urgency=medium

  * Resolve window-manager crash immediately on logon due to changes
    with mutter-48-rc (LP: #2102655)
    0001-Add-override-for-overlay-key-to-prevent-crash-with-m.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 15 Mar 2025 09:33:01 +0000

budgie-desktop (10.9.2-7) unstable; urgency=medium

  * Resolve FTBFS due to vala change
    0001-Resolve-vala-0.56.18-compact-class-inheritance-remov.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 04 Mar 2025 20:00:25 +0000

budgie-desktop (10.9.2-6) unstable; urgency=medium

  * Switch to using blueman for connection services since BCC
    has been patched to no longer display the bluetooth panel (#1059485)
    d/control budgie-desktop add blueman
    d/*.gschema.override - patch to hide the statusnotifier plugin
    switch-to-blueman.patch
  * d/changelog merge is missing 10.8.x changelogs

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 02 Jan 2025 19:34:21 +0000

budgie-desktop (10.9.2-5) unstable; urgency=medium

  * Upload to unstable now that libxfce4windowing is available

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 20 Dec 2024 15:56:45 +0000

budgie-desktop (10.9.2-4) experimental; urgency=medium

  * Add compatibility for the latest libxfce4windowing
    0001-Adapt-to-xf4w-v4.19.8-630.patch
    d/control bump versioning for libxfce4windowing

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 05 Dec 2024 19:27:06 +0000

budgie-desktop (10.9.2-3) experimental; urgency=medium

  * d/control budgie-desktop - update to depends on network-manager-applet
    not the now transition package network-manager-gnome
    (Closes: #1086814)

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 07 Nov 2024 20:01:05 +0000

budgie-desktop (10.9.2-2) experimental; urgency=medium

  * Switch to using magpie
  * Re-add Rework-keyboard-ibus-handling.patch since we are now using
    magpie
  * Add enforce-no-implicit-function-declaration.patch for meson 1.4 issues
  * Packaging changes
    d/control B/D magpie (Closes: #1067117)
    d/control introspection packaging changes state that a B/D on
    dh-sequence-gir is required as will as Provides statements
    for the gir packages budgie creates for the core dev binary package

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 02 Oct 2024 17:55:13 +0100

budgie-desktop (10.9.2-1) experimental; urgency=medium

  * New upstream release
    - upstream release announcement in install changelogs
  * Packaging changes
    - drop Update-libxfce4windowing-to-4.19.3-547.patch since this is
      included with this release

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 22 Jun 2024 14:00:57 +0100

budgie-desktop (10.9.1-3) experimental; urgency=medium

  * Fix FTBFS with v4.19.3 of libxfce4windowing
    Update-libxfce4windowing-to-4.19.3-547.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 12 Mar 2024 18:59:21 +0000

budgie-desktop (10.9.1-2) experimental; urgency=medium

  * d/control - switch to using budgie-session
    change runtime dependencies to budgie-session
    drop switch_to_gnome_session.patch
    d/control - drop B/D obsolete gnome-common, add intltool
    d/control - drop B/D debhelper since we are using compat

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 15 Feb 2024 10:02:02 +0000

budgie-desktop (10.9.1-1) experimental; urgency=medium

  * New upstream release
    - upstream release announcement in install changelogs
  * Packaging changes
    - d/budgie-core.manpages - add sendto man-page

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 02 Feb 2024 21:39:24 +0000

budgie-desktop (10.9-2) experimental; urgency=medium

  * d/control - replace suggestions with budgie-desktop-environment
    d/control - gir1.2-budgie-1.0 remove now obsolete replace/breaks
    d/control - drop B/D libgnome-bluetooth-dev (Closes: #1059486)
    d/control - add B/D cmake, libcanberra-gtk3-dev

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 29 Jan 2024 07:28:08 +0000

budgie-desktop (10.9-1) experimental; urgency=medium

  * New upstream release
    - upstream release announcement in install changelogs
  * switch to using gnome-session
    switch_to_gnome_session.patch
  * d/control - update packaging descriptions
    Add B/D with libxfce4windowing-0-dev
  * d/control - restrict gnome-session to less than v46 since budgie
    will not launch with v46 and later; add budgie-session as an alternate
  * d/patches - refresh Rework-keyboard-ibus-handling.patch that will
    work with magpie; not built with patch until the magpie switch occurs

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 28 Jan 2024 15:18:12 +0000

budgie-desktop (10.8.2-2) unstable; urgency=medium

  * d/rules - build with new zenity; this is needed to display the
    display dialog when a user changes the resolution
    d/control - add zenity version for B/D and budgie-core dependency

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 07 Dec 2023 21:02:44 +0000

budgie-desktop (10.8.2-1) unstable; urgency=medium

  * New upstream release
    - upstream release announcement in install changelogs

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 19 Oct 2023 18:40:24 +0100

budgie-desktop (10.8.1-2) unstable; urgency=medium

  * Bug-fix
    - temporarily don't build with Rework-keyboard-ibus-handling.patch
      since this is causing a crash on logon

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 15 Oct 2023 22:46:23 +0100

budgie-desktop (10.8.1-1) unstable; urgency=medium

  * New upstream release
    - upstream release announcement in install changelogs
    - drop patches since the dark theme capability is now included
      in this release
      0001-Support-freedesktop-color-scheme.patch
      0002-Hook-up-color-scheme-and-some-logic-interaction-with.patch
      0003-Add-another-GSD42-code-guard-to-prevent-segmentation.patch
      0005-Logic-for-determining-light-dark-includes-looking-wi.patch
      0006-Remove-last-remaining-and-obsolete-GSD42-guard.patch
    - resolve 3 keyboard layout issue where 2nd keyboard layout always
      defaults to US
      Merge existing ibus patches into one patch
      Rework-keyboard-ibus-handling.patch
      Drop the following ibus related patches
      Add-a-small-delay-to-ensure-keyboard-layout-defaults.patch
      Initialise-ibus-within-the-class-constructor.patch
      use-ibus-daemonize.patch
    - Add budgie-portals.conf for xdg-desktop-portal
      (Closes: #1050905)
  * Packaging Changes
    - refresh libbudgie-private0 and libraven0 symbols

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 01 Oct 2023 21:12:11 +0100

budgie-desktop (10.8-2) unstable; urgency=medium

  * Upload to unstable to support the GNOME 44/mutter-12 transition
    (Closes: #1050149)
  * Add missing changelog-announcement.txt entry for v10.8

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 21 Aug 2023 19:05:07 +0100

budgie-desktop (10.8-1) experimental; urgency=medium

  * New upstream release
    - upstream release announcement in install changelogs
    - Support appindicators
      allow-AppIndicator-if-System-Tray-is-not-present.patch
    - Drop show-tray-icon.patch since now obsolete with v10.8
  * Packaging changes
    - d/rules - drop ubuntu specific patch show-tray-icon
    - d/libraven0.symbols refresh changed symbols
    - d/libbudgie-appindexer0.symbols refresh changed symbols

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 20 Aug 2023 18:18:36 +0100

budgie-desktop (10.7.2-0.1) experimental; urgency=medium

  * NMU (non-maintainer upload)
    - verified by the maintainer David Mohammed
  * New upstream release
  * Drop patches introduced in 10.7.1-1 since these are included in this
    release
    - Fix-SoundOutput-and-Calendar-widget-settings-schemas.patch
    - Fix-Gtk-gdk_x11_window_get_frame_extents.patch
  * Refresh patches
    - Rework-keyboard-handling-to-layouts-ibus-handling.patch
  * Packaging changes
    - d/changelog-announcement incorporates upstream release notice
    - d/control build-depends on libmutter-12
    - d/control B/D remove all version checks since no longer needed
    - d/control add zenity to build-depends
    - d/rules build with use-old-zenity=true
    - d/libraven.symbols update with new symbols

 -- Samuel Lane <samlane00@gmail.com>  Sat, 01 Jul 2023 16:57:57 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libbudgie-raven-plugin0`.
